summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-03-15 20:45:40 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-17 08:51:48 +0700
commit80c6411e822f6e68f59fa56470e0397725054d15 (patch)
tree7e3c1756dfc64d727b0a45f7c94f43c329a5ae40 /python
parent75db0ef3871da721f930e0b6f9d35abe6ba3c5de (diff)
downloadslackbuilds-80c6411e822f6e68f59fa56470e0397725054d15.tar.gz
slackbuilds-80c6411e822f6e68f59fa56470e0397725054d15.tar.xz
python/setuptools-scm: Updated for version 1.15.7.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/setuptools-scm/setuptools-scm.SlackBuild12
-rw-r--r--python/setuptools-scm/setuptools-scm.info8
-rw-r--r--python/setuptools-scm/slack-desc2
3 files changed, 11 insertions, 11 deletions
diff --git a/python/setuptools-scm/setuptools-scm.SlackBuild b/python/setuptools-scm/setuptools-scm.SlackBuild
index 656d6b224d..bf14da1b8a 100644
--- a/python/setuptools-scm/setuptools-scm.SlackBuild
+++ b/python/setuptools-scm/setuptools-scm.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for setuptools-scm
-# Copyright 2016-2017 Hunter Sezen California, USA
+# Copyright 2016-2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=setuptools-scm
-SRCNAM=$(echo $PRGNAM | tr - _)
-VERSION=${VERSION:-1.15.0}
+SRCNAM=$(printf %s $PRGNAM | tr - _)
+VERSION=${VERSION:-1.15.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -41,7 +41,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -59,12 +59,12 @@ find -L . \
python setup.py install --root=$PKG
# Python 3 support.
-if $(python3 -c 'import sys' 2>/dev/null); then
+if python3 -c 'import sys' 2>/dev/null; then
python3 setup.py install --root=$PKG
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a *.rst LICENSE PKG-INFO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.rst PKG-INFO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/python/setuptools-scm/setuptools-scm.info b/python/setuptools-scm/setuptools-scm.info
index aaf6ae4b79..3221eb4817 100644
--- a/python/setuptools-scm/setuptools-scm.info
+++ b/python/setuptools-scm/setuptools-scm.info
@@ -1,10 +1,10 @@
PRGNAM="setuptools-scm"
-VERSION="1.15.0"
+VERSION="1.15.7"
HOMEPAGE="https://github.com/pypa/setuptools_scm/"
-DOWNLOAD="https://pypi.python.org/packages/80/b7/31b6ae5fcb188e37f7e31abe75f9be90490a5456a72860fa6e643f8a3cbc/setuptools_scm-1.15.0.tar.gz"
-MD5SUM="b6916c78ed6253d6602444fad4279c5b"
+DOWNLOAD="https://pypi.python.org/packages/d4/96/4b253a56454d92d8477704417c490d1949ca866bda1f8696bcc5fff49613/setuptools_scm-1.15.7.tar.gz"
+MD5SUM="1b55f9cedde4a33ab5d286c5f30e86db"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="Hunter Sezen"
-EMAIL="ovariegata@yahoo.com"
+EMAIL="orbea@fredslev.dk"
diff --git a/python/setuptools-scm/slack-desc b/python/setuptools-scm/slack-desc
index 02fa8597c2..64b8764b8a 100644
--- a/python/setuptools-scm/slack-desc
+++ b/python/setuptools-scm/slack-desc
@@ -12,7 +12,7 @@ setuptools-scm: setuptools_scm handles managing your python package versions in
setuptools-scm: metadata instead of declaring them as the version argument or in a
setuptools-scm: scm managed file.
setuptools-scm:
-setuptools-scm: It also handles file finders for the supported scm’s.
+setuptools-scm: It also handles file finders for the supported scms.
setuptools-scm:
setuptools-scm: Homepage: https://github.com/pypa/setuptools_scm/
setuptools-scm: